function phi=if2phase(iflaw)
// Generate the phase from the instantaneous frequency
// Calling Sequence
//     phi=if2phase(iflaw)
//   Authors
//      H. Nahrstaedt - Aug 2010
//	O. Lemoine - February 1996.
// 
	 

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

N=length(iflaw);
phi=zeros(N,1);

//phi=2*pi*cumsum(iflaw);
for k=1:N,
 t=1:k;
 phi(k)=2*%pi*integ(iflaw(t),t);
end
endfunction