
CURRENT_PATH = strsubst(get_absolute_file_path("builder_gateway_c.sce"), "\", "/");

if getos() <> "Windows" then
  INCLUDES_PATHS = "-I" + CURRENT_PATH +" -Dkiss_fft_scalar=double ";//-ffast-math -fomit-frame-pointer -mtune=native" ;
else
  INCLUDES_PATHS = "" //;"-Dkiss_fft_scalar=double -ffast-math -fomit-frame-pointer -mtune=native";
end

//INCLUDES_PATHS = INCLUDES_PATHS + " -DC99_OK ";

// PutLhsVar managed by user in sci_sum and in sci_sub
// if you do not this variable, PutLhsVar is added
// in gateway generated (default mode in scilab 4.x and 5.x)
WITHOUT_AUTO_PUTLHSVAR = %T;

FUNCTIONS_GATEWAY = ["Caf2tfr","int_Caf2tfr";"Cambifunb","int_Cambifunb";"Cwindow","int_Cwindow";"Ctfrsp","int_Ctfrsp";...
"Ctfrrsp","int_Ctfrrsp";"Ctfrcw","int_Ctfrcw";"Ctfrbj","int_Ctfrbj";"Ctfrbud","int_Ctfrbud";...
"Ctfrgrd","int_Ctfrgrd";"Ctfrker","int_Ctfrker";"Ctfrmh","int_Ctfrmh";"Ctfrwv","int_Ctfrwv";...
"Ctfrpwv","int_Ctfrpwv";"Ctfrzam","int_Ctfrzam";"Ctfrstft","int_Ctfrstft";"Ctfrri","int_Ctfrri";...
"Ctfrspwv","int_Ctfrspwv";"Ctfrppage","int_Ctfrppage";"Ctfrpmh","int_Ctfrpmh";"Ctfrdist","int_Ctfrdist";...
"Ctfrridt","int_Ctfrridt";"Ctfrpage","int_Ctfrpage";"Ctfrmmce","int_Ctfrmmce";...
"Ctfrmhs","int_Ctfrmhs";"Chtl","int_Chtl";"Ctfrridh","int_Ctfrridh";...
"Ctfrridbn","int_Ctfrridbn";"Ctfrridb","int_Ctfrridb";"Ctfrreas","int_Ctfrreas"];

FILES_GATEWAY = ["io.c","kiss_fft.c","af2tfr.c","create_window.c","distance.c","mhs.c","ppage.c","ri.c",...
   "ridt.c","af.c","divers.c","hough.c","mmce.c","pwv.c","ridb.c","sp.c","bj.c",...
 "cw.c","gradient.c","kernel.c","page.c","reassign.c","ridbn.c","spwv.c","wv.c",...
"bud.c","grd.c","mh.c","pmh.c","reas_spectro.c","ridh.c","stft.c","zam.c",..
"Caf2tfr.c","Cambifunb.c","Cwindow.c","Ctfrsp.c","Ctfrrsp.c","Ctfrcw.c","Ctfrbj.c",..
"Ctfrbud.c","Ctfrgrd.c","Ctfrker.c","Ctfrmh.c","Ctfrwv.c","Ctfrpwv.c","Ctfrzam.c",...
"Ctfrstft.c","Ctfrri.c","Ctfrspwv.c","Ctfrppage.c","Ctfrpmh.c","Ctfrdist.c",...
"Ctfrridt.c","Ctfrpage.c","Ctfrmmce.c","Ctfrmhs.c","Chtl.c","Ctfrridh.c","Ctfrridbn.c",...
"Ctfrridb.c","Ctfrreas.c"];

tbx_build_gateway("stftb_c", FUNCTIONS_GATEWAY, FILES_GATEWAY, CURRENT_PATH, [],"",INCLUDES_PATHS);

clear WITHOUT_AUTO_PUTLHSVAR;

clear tbx_build_gateway;
clear INCLUDES_PATHS;
clear CURRENT_PATH;
clear FILES_GATEWAY;
clear FUNCTIONS_GATEWAY;
// 
