mode(-1);

//tmp = warning("query");
//warning("off");
//dir = getcwd();
chdir(get_absolute_file_path("run_tests.sce"));
seed = rand("seed");

//  Choice of the Instantaneous Amplitude 
printf("testing amexpo1s ... ");
exec("amexpo1s.sce");
printf("ok!\n");

printf("testing amexpo2s ... ");
exec("amexpo2s.sce");
printf("ok!\n");

printf("testing amgauss ... ");
exec("amgauss.sce");
printf("ok!\n");

printf("testing amrect ... ");
exec("amrect.sce"); 
printf("ok!\n");

printf("testing amtriang ... ");
exec("amtriang.sce");
printf("ok!\n");

//  Choice of the Instantaneous Frequency
printf("testing fmconst ... ");
exec("fmconst.sce");
printf("ok!\n");

printf("testing fmhyp ... ");
exec("fmhyp.sce");
printf("ok!\n");

printf("testing fmlin ... ");
exec("fmlin.sce");
printf("ok!\n");

printf("testing fmodany ... ");
exec("fmodany.sce");
printf("ok!\n");

printf("testing fmpar ... ");
exec("fmpar.sce");
printf("ok!\n");

printf("testing fmpower ... ");
exec("fmpower.sce");
printf("ok!\n");

printf("testing fmsin ... ");
exec("fmsin.sce");
printf("ok!\n");

printf("testing gdpower ... ");
exec("gdpower.sce");
printf("ok!\n");

//  Choice of Particular Signals
printf("testing altes ... ");
exec("altes.sce");
printf("ok!\n");

printf("testing anaask ... ");
exec("anaask.sce");
printf("ok!\n");

printf("testing anabpsk ... ");
exec("anabpsk.sce");
printf("ok!\n");

printf("testing anafs ... ");
exec("anafsk.sce"); 
printf("ok!\n");

printf("testing anapuls ... ");
exec("anapulse.sce");
printf("ok!\n");

printf("testing anaqpsk ... ");
exec("anaqpsk.sce");
printf("ok!\n");

printf("testing anasing ... ");
exec("anasing.sce");
printf("ok!\n");

printf("testing anastep ... ");
exec("anastep.sce");
printf("ok!\n");

printf("testingatoms  ... ");
exec("atoms.sce");
printf("ok!\n");

printf("testing dopnoise ... ");
exec("dopnoise.sce");
printf("ok!\n");

printf("testing doppler ... ");
exec("doppler.sce");
printf("ok!\n");

printf("testing klauder ... ");
exec("klauder.sce");
printf("ok!\n");

printf("testing mexhat ... ");
exec("mexhat.sce");
printf("ok!\n");

//  Addition of Noise
printf("testing noisecg ... ");
exec("noisecg.sce");
printf("ok!\n");

printf("testing noisecu ... ");
exec("noisecu.sce");
printf("ok!\n");

//  Modification
printf("testing scale ... ");
exec("scale.sce");
printf("ok!\n");

// Processing Files

//  Time-Domain Processing
printf("testing ifestar2  ... ");
exec("ifestar2.sce");
printf("ok!\n");

printf("testing instfreq  ... ");
exec("instfreq.sce");
printf("ok!\n");

printf("testing  loctime ... ");
exec("loctime.sce");
printf("ok!\n");
	
//  Frequency-Domain Processing
printf("testing ffmt ... ");
exec("ffmt.sce");
printf("ok!\n");

printf("testing iffmt ... ");
exec("iffmt.sce");
printf("ok!\n");

printf("testing locfreq ... ");
exec("locfreq.sce");
printf("ok!\n");

printf("testing sgrpdlay ... ");
exec("sgrpdlay.sce");
printf("ok!\n");

//  Linear Time-Frequency Processing
printf("testing tfrgabor ... ");
exec("tfrgabor.sce");
printf("ok!\n");

printf("testing tfrstft ... ");
exec("tfrstft.sce");
printf("ok!\n");

// Bilinear Time-Frequency Processing in the Cohen's Class

printf("testing tfrbj ... ");
exec("tfrbj.sce");
printf("ok!\n");

printf("testing tfrbud ... ");
exec("tfrbud.sce");
printf("ok!\n");

printf("testing tfrcw ... ");
exec("tfrcw.sce");
printf("ok!\n");

printf("testing tfrgrd ... ");
exec("tfrgrd.sce");
printf("ok!\n");

printf("testing tfrmhs ... ");
exec("tfrmhs.sce");
printf("ok!\n");

printf("testing tfrmh ... ");
exec("tfrmh.sce");
printf("ok!\n");

printf("testing tfrmmce ... ");
exec("tfrmmce.sce");
printf("ok!\n");

printf("testing tfrpage ... ");
exec("tfrpage.sce");
printf("ok!\n");

printf("testing tfrpmh ... ");
exec("tfrpmh.sce");
printf("ok!\n");

printf("testing tfrppage ... ");
exec("tfrppage.sce");
printf("ok!\n");

printf("testing  tfrpwv ... ");
exec("tfrpwv.sce");
printf("ok!\n");

printf("testing tfrridb  ... ");
exec("tfrridb.sce");
printf("ok!\n");

printf("testing tfrridbn ... ");
exec("tfrridbn.sce");
printf("ok!\n");

printf("testing tfrridh  ... ");
exec("tfrridh.sce");
printf("ok!\n");

printf("testing  tfrridt ... ");
exec("tfrridt.sce");
printf("ok!\n");

printf("testing tfrri ... ");
exec("tfrri.sce");
printf("ok!\n");

printf("testing tfrsp ... ");
exec("tfrsp.sce");
printf("ok!\n");

printf("testing tfrspwv  ... ");
exec("tfrspwv.sce");
printf("ok!\n");

printf("testing tfrwv ... ");
exec("tfrwv.sce");
printf("ok!\n");

printf("testing tfrzam ... ");
exec("tfrzam.sce");
printf("ok!\n");
		
//  Bilinear Time-Frequency Processing in the Affine Class

printf("testing tfrbert ... ");
exec("tfrbert.sce");
printf("ok!\n");

printf("testing tfrdfla ... ");
exec("tfrdfla.sce");
printf("ok!\n");

printf("testing tfrscalo ... ");
exec("tfrscalo.sce");
printf("ok!\n");

printf("testing tfrspaw ... ");
exec("tfrspaw.sce");
printf("ok!\n");

printf("testing tfrunter ... ");
exec("tfrunter.sce");
printf("ok!\n");

//  Reassigned TimeFrequency Processing

printf("testing tfrrgab ... ");
exec("tfrrgab.sce");
printf("ok!\n");

printf("testing tfrrmsc ... ");
exec("tfrrmsc.sce");
printf("ok!\n");

printf("testing tfrrpmh ... ");
exec("tfrrpmh.sce");
printf("ok!\n");

printf("testing tfrrppag ... ");
exec("tfrrppag.sce");
printf("ok!\n");

printf("testing tfrrpwv ... ");
exec("tfrrpwv.sce");
printf("ok!\n");

printf("testing tfrrsp ... ");
exec("tfrrsp.sce");
printf("ok!\n");

printf("testing tfrrspwv ... ");
exec("tfrrspwv.sce");
printf("ok!\n");

//  Ambiguity Functions


printf("testing ambifunb ... ");
exec("ambifunb.sce"); 
printf("ok!\n");

printf("testing ambifuwb ... ");
exec("ambifuwb.sce");
printf("ok!\n");

//  PostProcessing or Help to the Interpretation

printf("testing friedman ... ");
exec("friedman.sce");
printf("ok!\n");

printf("testing holder ... ");
exec("holder.sce");
printf("ok!\n");

printf("testing htl ... ");
exec("htl.sce");  
printf("ok!\n");

printf("testing margtfr ... ");
exec("margtfr.sce");
printf("ok!\n");

printf("testing midpoint ... ");
exec("midpoint.sce"); 
printf("ok!\n");

printf("testing momftfr ... ");
exec("momftfr.sce");
printf("ok!\n");

printf("testing momttfr ... ");
exec("momttfr.sce");
printf("ok!\n");

printf("testing renyi ... ");
exec("renyi.sce");
printf("ok!\n");

printf("testing ridges ... ");
exec("ridges.sce");
printf("ok!\n");

printf("testing tfrideal ... ");
exec("tfrideal.sce");
printf("ok!\n");

// Other 

printf("testing vecmodulo ... ");
exec("vecmodulo.sce");
printf("ok!\n");

printf("testing divider ... ");
exec("divider.sce");
printf("ok!\n");

printf("testing dwindow ... ");
exec("dwindow.sce");
printf("ok!\n");

printf("testing integ ... ");
exec("integ.sce");
printf("ok!\n");

printf("testing integ2d ... ");
exec("integ2d.sce");
printf("ok!\n");

printf("testing iza ... ");
exec("izak.sce");
printf("ok!\n");

printf("testing kaytth ... ");
exec("kaytth.sce");
printf("ok!\n");

printf("testing odd ... ");
exec("odd.sce");
printf("ok!\n");

printf("testing sigmerge ... ");
exec("sigmerge.sce");
printf("ok!\n");

printf("testing zak ... ");
exec("zak.sce");
printf("ok!\n");


printf("testing tftb_fft ... ");
exec("tftb_fft.sce");
printf("ok!\n");


printf("testing tftb_ifft ... ");
exec("tftb_ifft.sce");
printf("ok!\n");

// printf("testing Caf2tfr ... ");
// exec("Caf2tfr.sce");
// printf("ok!\n");

printf("testing  Cambifunb... ");
exec("Cambifunb.sce");
printf("ok!\n"); 


printf("testing Cwindow ... ");
exec("Cwindow.sce");
printf("ok!\n");

printf("testing Ctfrbj ... ");
exec("Ctfrbj.sce");
printf("ok!\n");

printf("testing Ctfrbud ... ");
exec("Ctfrbud.sce");
printf("ok!\n");


printf("testing  Ctfrcw... ");
exec("Ctfrcw.sce");
printf("ok!\n");


printf("testing  Ctfrgrd... ");
exec("Ctfrgrd.sce");
printf("ok!\n");

// printf("testing Ctfrker ... ");
// exec("Ctfrker.sce");
// printf("ok!\n");



printf("testing Ctfrmh ... ");
exec("Ctfrmh.sce");
printf("ok!\n");


printf("testing Ctfrmhs ... ");
exec("Ctfrmhs.sce");
printf("ok!\n");


printf("testing  Ctfrmmce... ");
exec("Ctfrmmce.sce");
printf("ok!\n");


printf("testing  Ctfrpage... ");
exec("Ctfrpage.sce");
printf("ok!\n");


printf("testing  Ctfrpmh... ");
exec("Ctfrpmh.sce");
printf("ok!\n");

printf("testing  Ctfrppage... ");
exec("Ctfrppage.sce");
printf("ok!\n");

printf("testing  Ctfrpwv... ");
exec("Ctfrpwv.sce");
printf("ok!\n");

// printf("testing Ctfrreas ... ");
// exec("Ctfrreas.sce");
// printf("ok!\n");



printf("testing Ctfrri ... ");
exec("Ctfrri.sce");
printf("ok!\n");


printf("testing  Ctfrridb... ");
exec("Ctfrridb.sce");
printf("ok!\n");

printf("testing  Ctfrridbn... ");
exec("Ctfrridbn.sce");
printf("ok!\n");

printf("testing  Ctfrridh... ");
exec("Ctfrridh.sce");
printf("ok!\n");


printf("testing Ctfrridt ... ");
exec("Ctfrridt.sce");
printf("ok!\n");


printf("testing Ctfrrsp ... ");
exec("Ctfrrsp.sce");
printf("ok!\n");

printf("testing  Ctfrsp... ");
exec("Ctfrsp.sce");
printf("ok!\n"); 

printf("testing  Ctfrspwv... ");
exec("Ctfrspwv.sce");
printf("ok!\n"); 

printf("testing  Ctfrstft... ");
exec("Ctfrstft.sce");
printf("ok!\n"); 

printf("testing Ctfrwv ... ");
exec("Ctfrwv.sce");
printf("ok!\n");


printf("testing Chtl ... ");
exec("Chtl.sce");
printf("ok!\n");


printf("testing  Ctfrzam... ");
exec("Ctfrzam.sce");
printf("ok!\n");




rand("seed",seed);
//chdir(dir);
//warning(tmp);
