function flag=istfr1(method);
//returns true is method is a time frequency representation of type 1 (positive and negative frequencies).
// Calling Sequence
// flag=istfr1(method) 
//   See also 
//      istfr2
//      istfraff
//   Authors
//      H. Nahrstaedt - Aug 2010
//	F. Auger, may 98
//	Copyright (c) CNRS - France 1998. 

//
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

method=convstr(method,"u");
if (method=='TFRPMH'  )| (method=='TFRRPMH' )| ...
   (method=='TFRSP'   )| (method=='TFRRSP'  )| ...
   (method=='TFRPPAGE')| (method=='TFRRPPAG')| ...
   (method=='TFRMHS'  )| (method=='TFRRGAB' )| ...
   (method=='TFRMH'   )| (method=='TFRMMCE' )| ...
   (method=='TFRRMSC' )| (method=='TFRPAGE' )| ...
   (method=='TFRGABOR')| (method=='TFRRI'   )| ...
   (method=='TFRMSC'  )| (method=='TYPE1'   )| ...
   (method=='TFRSTFT' ),
 flag=1;
else
 flag=0;
end;

endfunction